summaryrefslogtreecommitdiff
path: root/tests/mv/acl
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2009-08-30 01:27:45 +0100
committerPádraig Brady <P@draigBrady.com>2009-08-30 10:58:13 +0100
commit56300b1dc28f4acef88821364419933459d931f6 (patch)
tree7431d394b59717842cbb8e3617705428849134db /tests/mv/acl
parent0a859a6cb0000f3662f1b06c151d80e1d764f983 (diff)
downloadcoreutils-56300b1dc28f4acef88821364419933459d931f6.tar.xz
tests: don't misbehave if $TMPDIR contains spaces
* tests/misc/xattr: Add quotes. * tests/mv/acl: Likewise. * tests/mv/backup-is-src: Likewise. * tests/mv/hard-link-1: Likewise. * tests/mv/leak-fd: Likewise. * tests/mv/mv-special-1: Likewise. * tests/mv/part-fail: Likewise. * tests/mv/part-hardlink: Likewise. * tests/mv/part-rename: Likewise. * tests/mv/part-symlink: Likewise. * tests/mv/partition-perm: Likewise. * tests/mv/sticky-to-xpart: Likewise.
Diffstat (limited to 'tests/mv/acl')
-rwxr-xr-xtests/mv/acl12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/mv/acl b/tests/mv/acl
index e4e31dd1d..5ad8de052 100755
--- a/tests/mv/acl
+++ b/tests/mv/acl
@@ -49,24 +49,24 @@ test $skip_partition != none &&
skip_test_ "'$skip' is not on a suitable file system for this test"
# move the access acl of a file
-mv file $other_partition_tmpdir || fail=1
-acl2=`cd $other_partition_tmpdir && getfacl file` || framework_failure
+mv file "$other_partition_tmpdir" || fail=1
+acl2=`cd "$other_partition_tmpdir" && getfacl file` || framework_failure
test "$acl1" = "$acl2" || fail=1
# move the access acl of a directory
mkdir dir || framework_failure
setfacl -m user:bin:rw dir || framework_failure
acl1=`getfacl dir` || framework_failure
-mv dir $other_partition_tmpdir || fail=1
-acl2=`cd $other_partition_tmpdir && getfacl dir` || framework_failure
+mv dir "$other_partition_tmpdir" || fail=1
+acl2=`cd "$other_partition_tmpdir" && getfacl dir` || framework_failure
test "$acl1" = "$acl2" || fail=1
# move the default acl of a directory
mkdir dir2 || framework_failure
setfacl -d -m user:bin:rw dir2 || framework_failure
acl1=`getfacl dir2` || framework_failure
-mv dir2 $other_partition_tmpdir || fail=1
-acl2=`cd $other_partition_tmpdir && getfacl dir2` || framework_failure
+mv dir2 "$other_partition_tmpdir" || fail=1
+acl2=`cd "$other_partition_tmpdir" && getfacl dir2` || framework_failure
test "$acl1" = "$acl2" || fail=1
Exit $fail